Cemu - Bug #395

Vulkan Tripple Buffering Stutter on GTX 1080 Ti FE / Ryzen 3600X [tested on 4 games]
08/05/2020 03:30 PM - atari1980

Status: Resolved Start date: 08/05/2020
Priority: Normal

Assignee:

Category:

API: Vulkan GPU Vendor/Model:  GTX 1080 Ti FE
Cemu Version: 1.20.1c

Description

After around 5-20 minutes of playing a game, the screen will become very jittery on 2D scrollings or when turning sharp turns in MK8.
No matter what game, demanding or low CPU load (Shovel Knight) it will happen.

FPS counter stays at a constant 60fps and between 16.5-16.6ms frametime while stuttering.

This issue is present on:

-All CEMU versions since 1.16.1 and as far back as nvidia's 441.66 driver.
-OpenGL is unafected and performance is great but has lots of graphical issues in Yoshi's Wooly World
-Double Buffering cures this but at the cost of a huge black bar that will inevitably appear at random and stay there

The issue is not present on (with nvidia's 451.67 Drivers) :

-Dolphin's Vulkan renderer (Mario Galaxy 1/ 2, New Super Mario Bros)
-Doom (2016)'s Vulkan renderer
-Red Dead Redemption 2's Vulkan renderer

Games Tested:

-Mario Kart 8 (best tested on Banana Cup, starts around the second/third race)

-New Super Mario Bros U (about 10 minutes in or around the 3rd stage)

-Yoshi's Wooly World (usually within 5 minutes)

-Shovel Knight (more or less after about 20 minutes or around when about to exit from the first village)

Fun fact: Testing MK8 without graphic pack seems to work fine, but if | set the graphic pack to 1280x720 it will start to do it, but a little
later than at 4K

Here are what other things | tested:

-Brand new Gigabyte AORUS B550 Motherboard (F3 Bios)

-Asus Prime X470-Pro Motherboard (5601 Bios)

-CEMU v1.20.1, v1.20.0, 1.19.1, 1.19.2, 1.19.3, and all the way back to 1.16.1, with/without Cemuhook, brand new Shader Cache
each time.

-Nvidia's GPU drivers with/without Threaded optimizations, Tripple Buffering, Prefer maximum performance

-CEMU.EXE enable / disable fullscreen optimizations / Override high DPI scaling behavior to application

Fresh Windows 10 1909 x64 installation:

Nvidia 441.66 GPU drivers

Visual C++ Redist (all-in-one found here:
https://www.techpowerup.com/download/visual-c-redistributable-runtime-package-all-in-one/)
DirectX web redist (https:/www.microsoft.com/en-us/download/details.aspx?id=35)

Fresh Windows 10 2004 x64 installation:

Nvidia 451.79 w/async enabled
Nvidia 451.67

Nothing I tried made it better or worse, note that my new motherboard is also boosting a lot higher than my previous one (4200 max
vs 4350 3-4 cores very frequently)

04/25/2024 1/2



https://www.techpowerup.com/download/visual-c-redistributable-runtime-package-all-in-one/
https://www.microsoft.com/en-us/download/details.aspx?id=35

History

#1 - 08/05/2020 03:39 PM - atari1980

Forgot to mention, a graphic packs resolution of 1920x1080 to 3840x2160 does not help or worsen the situation. They exhibit the same behavior.

#2 - 08/05/2020 03:41 PM - atari1980

Edit 2: | don't believe | am CPU-bound, as when the stutters happens, the games do not feel sluggish and are very responsive, it looks like a sync
issue.

#3 - 08/05/2020 03:51 PM - atari1980
Edit 3: New test: Setting MK8 to Tripple Core worsen the situation.

#4 - 01/31/2021 09:05 PM - gexdigital

CEMU Version 1.22.5d is still affected.
Nvidia GXT 1660 6GB

Core i7 4770

32GB RAM

Windows 10 1809 17763.1728

After a while, with Vulkan Tripple Buffer enabled, screen shows jittery. It's temporally solved by switching to double buffering, but after a while, double
buffer looks like VSYNC disabled, forcing me to re enable Tripple Buffer starting again the cycle of Tripple - Double buffer switching.

CPU is under 25% on most games.
FPS is always at 60FPS even when screen jittery is happening.

#5 - 04/10/2021 02:38 PM - Serfrost

- Status changed from New to Resolved

This should have been resolved with Cemu 1.22.7; using Double Buffer or Match Emulated Display are now the ideal settings. It's best to avoid Triple
Buffering in general if you can, at least with Vulkan on Cemu.
